// text_event.dart
import 'package:equatable/equatable.dart';

abstract class TextEvent extends Equatable {
  const TextEvent();

  @override
  List<Object> get props => [];
}

class ButtonPressed extends TextEvent {
  final String newText;

  const ButtonPressed(this.newText);

  @override
  List<Object> get props => [newText];
}
